From: "Davide Pesavento" <pesa@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/qt:master commit in: eclass/, dev-qt/qthelp/
Date: Sun, 1 Jun 2014 02:41:34 +0000 (UTC) [thread overview]
Message-ID: <1401590396.e0d4ce2924287149fbb3d135b1096eae7f998168.pesa@gentoo> (raw)
commit: e0d4ce2924287149fbb3d135b1096eae7f998168
Author: Davide Pesavento <pesa <AT> gentoo <DOT> org>
AuthorDate: Fri May 30 16:42:26 2014 +0000
Commit: Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Sun Jun 1 02:39:56 2014 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/qt.git;a=commit;h=e0d4ce29
[dev-qt/qthelp:4] Fix docs generation.
---
dev-qt/qthelp/qthelp-4.8.6.ebuild | 4 ++++
dev-qt/qthelp/qthelp-4.8.9999.ebuild | 4 ++++
eclass/qt4-build-multilib.eclass | 13 ++++++-------
3 files changed, 14 insertions(+), 7 deletions(-)
diff --git a/dev-qt/qthelp/qthelp-4.8.6.ebuild b/dev-qt/qthelp/qthelp-4.8.6.ebuild
index fe1d048..2525195 100644
--- a/dev-qt/qthelp/qthelp-4.8.6.ebuild
+++ b/dev-qt/qthelp/qthelp-4.8.6.ebuild
@@ -93,6 +93,10 @@ src_configure() {
src_compile() {
qt4-build-multilib_src_compile
+ # qhelpgenerator needs libQtHelp.so.4
+ export LD_LIBRARY_PATH=${S}/lib
+ export DYLD_LIBRARY_PATH=${S}/lib:${S}/lib/QtHelp.framework
+
if use doc; then
emake docs
elif [[ ${QT4_BUILD_TYPE} == release ]]; then
diff --git a/dev-qt/qthelp/qthelp-4.8.9999.ebuild b/dev-qt/qthelp/qthelp-4.8.9999.ebuild
index fe1d048..2525195 100644
--- a/dev-qt/qthelp/qthelp-4.8.9999.ebuild
+++ b/dev-qt/qthelp/qthelp-4.8.9999.ebuild
@@ -93,6 +93,10 @@ src_configure() {
src_compile() {
qt4-build-multilib_src_compile
+ # qhelpgenerator needs libQtHelp.so.4
+ export LD_LIBRARY_PATH=${S}/lib
+ export DYLD_LIBRARY_PATH=${S}/lib:${S}/lib/QtHelp.framework
+
if use doc; then
emake docs
elif [[ ${QT4_BUILD_TYPE} == release ]]; then
diff --git a/eclass/qt4-build-multilib.eclass b/eclass/qt4-build-multilib.eclass
index f36e781..f19980b 100644
--- a/eclass/qt4-build-multilib.eclass
+++ b/eclass/qt4-build-multilib.eclass
@@ -64,13 +64,6 @@ qt4-build-multilib_pkg_setup() {
ewarn "Downgrading Qt is completely unsupported and can break your system!"
ewarn
fi
-
- PATH="${S}/bin${PATH:+:}${PATH}"
- if [[ ${CHOST} != *-darwin* ]]; then
- LD_LIBRARY_PATH="${S}/lib${LD_LIBRARY_PATH:+:}${LD_LIBRARY_PATH}"
- else
- DYLD_LIBRARY_PATH="${S}/lib${DYLD_LIBRARY_PATH:+:}${DYLD_LIBRARY_PATH}"
- fi
}
# @ECLASS-VARIABLE: QT4_EXTRACT_DIRECTORIES
@@ -379,6 +372,12 @@ qt4-build-multilib_src_configure() {
einfo "Configuring with:" ${conf}
./configure ${conf} || die "configure failed"
+ # configure is stupid and assigns QMAKE_LFLAGS twice,
+ # thus the previous -rpath-link flag gets overwritten
+ # and some packages (e.g. qthelp) fail to link
+ sed -i -e '/^QMAKE_LFLAGS =/ s:$: $$QMAKE_LFLAGS:' \
+ .qmake.cache || die "sed .qmake.cache failed"
+
local dir
for dir in . ${QT4_TARGET_DIRECTORIES}; do
pushd ${dir} >/dev/null || die
next reply other threads:[~2014-06-01 2:41 UTC|newest]
Thread overview: 2+ messages / expand[flat|nested] mbox.gz Atom feed top
2014-06-01 2:41 Davide Pesavento [this message]
-- strict thread matches above, loose matches on Subject: below --
2014-06-01 2:41 [gentoo-commits] proj/qt:master commit in: eclass/, dev-qt/qthelp/ Davide Pesavento
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1401590396.e0d4ce2924287149fbb3d135b1096eae7f998168.pesa@gentoo \
--to=pesa@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox